> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configuration



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/configurations/system
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/configurations/system:
    get:
      tags:
        - configurations
      summary: Get Configuration
      operationId: get_configuration_api_v1_configurations_system_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__6
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__6:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        default_llm_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Llm Model
          description: Default LLM model (e.g., 'openai:gpt-4o')
        default_embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Embedding Model
          description: Default embedding model (e.g., 'openai:text-embedding-3-small')
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid
          title: Created By
      type: object
      required:
        - id
        - created_by
      title: SystemConfigurationResponse
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````